/*** FONTS **/

@font-face {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 200;
    src: url("/fonts/Roboto-Light.ttf");
}

@font-face {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 400;
    src: url("/fonts/Roboto-Regular.ttf");
}

@font-face {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 500;
    src: url("/fonts/Roboto-Medium.ttf");
}

@font-face {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 700;
    src: url("/fonts/Roboto-Bold.ttf");
}

/*** GLOBAL **/

main {
    width: 100%;
    min-height: 100vh;
    overflow-x: hidden;
}

.overflow {
    overflow: hidden;
}

body {
    background-color: #fff;
    min-height: 100vh;
    font-size: 14px;
}

.sidebar-mini.sidebar-collapse .main-sidebar.sidebar-focused,
.sidebar-mini.sidebar-collapse .main-sidebar:hover {
    width: 250px;
    background-color: #fff;
    transform: all 0.5s;
}

#sidebar-overlay {
    z-index: 999;
}

.main-header {
    z-index: 8;
}

.main-sidebar {
    z-index: 8;
}

.brand-link .brand-image {
    margin-left: unset !important;
}

.content-wrapper {
    padding: 25px;
}

@media (min-width: 1200px) {
    .container {
        max-width: unset;
    }
}

.card {
    border-radius: 10px;
    box-shadow: unset;
}

.card-header {
    font-size: 18px;
    font-weight: 500;
}

.form-group label {
    font-weight: 500;
}

input.form-control,
select.form-control {
    border-radius: 10px;
}

.error-msg {
    margin-top: 5px;
}

.error-msg > * {
    color: #e3342f;
}

.center-all {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.primary-bg {
    background-color: #001871;
}

.btn-primary-custom {
    background-color: #001871;
    color: #fff !important;
}

.btn-primary-custom:hover {
    background-color: #001871;
}

.btn-download-custom {
    background-color: #00716b;
    color: #fff !important;
}

.btn-download-custom:hover {
    background-color: #00716b;
}

.btn-danger-custom {
    background-color: #ef3340;
    color: #fff !important;
}

.btn-danger-custom:hover {
    background-color: #e46871;
}

.btn-rounded {
    border-radius: 10px;
}

.tabs-header {
    position: relative;
}

.card-header {
    text-align: center;
}

.card-body .charts {
    min-height: 25em;
}

.flex-group {
    display: flex;
    flex-wrap: wrap;
}

.flex-2 {
    flex: 0 0 18%;
    margin: 0 9px;
}

/** Auto Required Asterisk (*) **/

.form-group.required > label:after {
    content: " *";
    color: red;
}

label.required:after {
    content: " *";
    color: red;
}

a {
    cursor: pointer;
    text-decoration: none;
}

a:hover,
a:active {
    text-decoration: none;
}

/*** Toastr **/

.toast-custom-top-right {
    top: 12px;
    right: 12px;
}

@media (min-width: 480px) {
    .toast-custom-top-right {
        top: 70px;
    }
}

/*** Modal **/

.modal-content {
    text-align: center;
}

.modal-content .form-group {
    text-align: left;
}

.modal-header {
    border-bottom: 0;
}

.modal-title {
    margin-left: auto;
}

.modal-footer {
    border-top: 0;
    padding: 10px 0 0;
    justify-content: center;
}

/*** Navbar **/

.navbar-primary {
    background-color: #001871;
    color: #fff;
}

.nav-link.dropdown-toggle {
    padding-left: 3rem;
}

.navbar-expand .navbar-nav .nav-link {
    padding-right: 1rem;
    padding-left: 1rem;
}

#navbarDropdown {
    color: #fff;
}

/*** Sidebar **/
.btn-sidebar-collapse {
    color: #fff;
}

.sidebar-header {
    display: flex;
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
    color: #4e4e4e;
    background-color: #e9e9e9;
    border-radius: unset;
}

.brand-link {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.sidebar-item-logo img {
    width: 20px;
    height: auto;
    margin-right: 10px;
}

.nav-link.submenu {
    padding-left: 3rem;
}

/*** Select2 ***/

.select2-container {
    max-width: 100% !important;
}

.select2-container .select2-selection--single {
    height: calc(1.6em + 0.75rem + 2px) !important;
    border-radius: 8px !important;
}
/*** Tooltip ***/

.tooltip-custom {
    width: 15rem;
    position: absolute;
    top: 30px;
    padding: 2px 10px;
    font-size: 10px;
    visibility: hidden;
    opacity: 0;
    max-height: 80px;
    display: inline-block;
}

.tooltip-custom.hovering {
    visibility: visible;
    opacity: 1;
}

.tooltip-custom.upload-success {
    background-color: #38c391ad;
    padding: 15px 10px 10px 10px !important;
    color: white;
    width: 17rem;
}

.tooltip-custom.upload-error {
    background-color: rgba(252, 109, 109, 1);
    padding: 15px 10px 10px 10px !important;
    color: white;
    width: 17rem;
}

.tooltip-custom.upload-error .tooltiptext::after {
    border-color: #ef33404d #e01d1d00 #bb1c1c00 #9a1d1d00;
}

.tooltip-custom .tooltiptext::after {
    content: "";
    position: absolute;
    top: -10px;
    left: 10px;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #cdf3e5 #e01d1d00 #bb1c1c00 #9a1d1d00;
    transform: rotate(180deg);
}

/*** Datatable ***/

.datatable-search-custom {
    position: absolute;
    right: 35px;
    display: flex;
}

.datatable-search-custom .input-group input.form-control {
    height: 30px;
    width: 150px;
}

.datatable-search-custom .input-group .input-group-append span {
    height: 30px;
    background-color: #001871;
    border-top-right-radius: 5px !important;
    border-bottom-right-radius: 5px !important;
}

.datatable-search-custom .input-group .input-group-append img {
    width: 20px;
}

.custom-control-input:checked ~ .custom-control-label::before {
    color: #fff;
    border-color: #001871;
    background-color: #001871;
}

.custom-radio .custom-control-label:before {
    background-color: #e9ecef;
}

.dataTables_paginate .page-item.active .page-link {
    background-color: #001871;
    border-color: #001871;
}

.search-table,
.search-btn {
    cursor: pointer;
}

.small-icon {
    width: 15px;
}

.notification-box {
    border-right: 2px solid #fff;
    height: 22px;
    margin: 8px 0px;
    position: relative;
}

.notification-box .icon {
    padding: 0 15px;
}

.icon img {
    width: 18px;
}

.user-name {
    padding: 8px 0px 0 15px;
}

.logout {
    padding: 5px 0 0 15px;
}

.notification-modal {
    position: absolute;
    width: 400px;
    height: 220px;
    background-color: #fff;
    right: -10px;
    box-shadow: 0px 0px 5px #9e9e9e;
    border-radius: 3px;
    top: 30px;
    color: #000;
    overflow-y: scroll;
    display: none;
}

.notification-modal .notification-content .list-notification {
    list-style-type: none;
    padding-left: 0;
}

.notification-modal .notification-content .list-notification .list {
    padding: 15px 10px;
    border-bottom: 1px solid #ddd;
    display: flex;
}

.notification-modal
    .notification-content
    .list-notification
    .list
    .icon-notif-box {
    width: 50px;
    height: 50px;
    background-color: #001871;
    border-radius: 50%;
    padding: 12px 12px;
    text-align: center;
}

.notification-modal
    .notification-content
    .list-notification
    .list
    .icon-notif-box.reject {
    background-color: #001871;
}

.notification-modal
    .notification-content
    .list-notification
    .list
    .icon-notif-box.reject {
    background-color: #f15b67;
}

.notification-modal .notification-content .list-notification .list img {
    width: 25px;
}

.notification-modal
    .notification-content
    .list-notification
    .list
    .notif-message {
    margin-left: 25px;
    position: relative;
}

.notification-modal
    .notification-content
    .list-notification
    .list
    .notif-message
    small {
    color: #5a5a5a;
    position: absolute;
    bottom: 0;
}

.notification-modal::-webkit-scrollbar {
    width: 5px;
}

/* Track */
.notification-modal::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
.notification-modal::-webkit-scrollbar-thumb {
    background: #888;
}

/* Handle on hover */
.notification-modal::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.list-notification .list.unread {
    background-color: #d6d6ff;
}

.brand-link .brand-image {
    max-height: 60px;
    margin-top: -15px;
    opacity: unset !important;
}

.sidebar-mini.sidebar-collapse .brand-link .brand-image {
    max-height: 30px;
    margin-top: 0;
}

.btn-sm-custom {
    height: 2.5rem;
}

.chart-content {
    position: relative;
}

/* Loader style */

.loader {
    border: 9px solid #f3f3f3;
    border-top: 8px solid #001871;
    border-radius: 50%;
    width: 70px;
    height: 70px;
    animation: spin 2s linear infinite;
    position: absolute;
    left: 50%;
    top: 20%;
    transform: translate(-50%, -50%);
    z-index: 10;
    margin: 0 -35px;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.overlay-loader {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 9;
    opacity: 0.8;
    background-color: #f9f9f9;
}

.loader-wrapper {
    height: 100%;
}

@keyframes pulse {
    from {
        opacity: 1;
        transform: scale(1);
    }

    to {
        opacity: 0.25;
        transform: scale(0.75);
    }
}

/* Global page loader before render */

.before-render-loader {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: white;
    z-index: 999999;
}

.spinner-box {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.pulse-container {
    width: 120px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 2rem auto;
}

.pulse-bubble {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background-color: #3ff9dc;
}

.pulse-bubble-1 {
    animation: pulse 0.4s ease 0s infinite alternate;
    background-color: #001871;
}

.pulse-bubble-2 {
    animation: pulse 0.4s ease 0.2s infinite alternate;
    background-color: #ee3342;
}

.pulse-bubble-3 {
    animation: pulse 0.4s ease 0.4s infinite alternate;
    background-color: #001871;
}

div.dataTables_wrapper div.dataTables_processing {
    display: block;
    z-index: 9;
    top: 0;
    left: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    border: 0;
    opacity: 0.9;
    padding: 10em 0;
}

:not(.layout-fixed) .main-sidebar {
    z-index: 1000;
    background-color: #fff;
    box-shadow: rgb(142 141 141) -2px 2px 5px !important;
}

.dataTables_scrollHeadInner {
    min-width: 100% !important;
    width: 100% !important;
}

.table.dataTable.no-footer {
    min-width: 100% !important;
    width: 100% !important;
}

.filepond--root {
    height: calc(3.6em + 0.75rem + 2px) !important;
}

.filepond--list-scroller {
    transform: translate3d(0px, -4px, 0px);
    height: 100% !important;
}

.filepond--drop-label {
    margin-top: -2vw;
    z-index: 99 !important;
}

.badge-custom {
    width: 20px;
    height: 20px;
    padding: 6px;
    border-radius: 50%;
    text-align: center;
    background-color: #001871 !important;
}

.sidebar-collapse .menu-open .nav-treeview {
    display: none !important;
}

.sidebar-mini.sidebar-collapse .main-sidebar:hover .menu-open .nav-treeview {
    display: block !important;
}

.notif-dot {
    width: 10px;
    height: 10px;
    background-color: red;
    position: absolute;
    right: 10px;
    top: -5px;
    border-radius: 50%;
}

.notif-message a p {
    color: #000;
}


.select2-container--bootstrap .select2-selection__clear{
    margin-right: 4px;
}

.select2-selection__clear:hover {
    background-color: #e3342f !important;
    border-radius: 10px;
    color: #fff !important;
    font-size: 10px !important;
    margin: 3px 5px;
    font-weight: 300;
    padding: 1px 5px;
}

.btn-remove-filter{
    font-size: 10px !important;
}

.btn-remove-filter:hover{
    border-radius: 15px !important;
    width: 25px !important;
    height: 25px !important;
    font-size: 10px !important;
    color: #fff;
    background-color: #ef3340 !important;
}
